Skip to main content
POST
Edit Batch Discount Template

Endpoint Overview

POST https://api.unibee.dev/merchant/discount/batch/template/edit Edit batch discount template. CodePrefix cannot be modified. Quantity can only be increased after activation.

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Edit batch discount template. CodePrefix cannot be modified. Quantity can only be increased after activation.

codePrefix
string<string>
required

The code prefix, must match existing value, cannot be modified

id
integer<int64>
required

The template's Id

advance
boolean<*bool>

AdvanceConfig, enable advanced configurations

billingType
integer<int>

The billing type, 1-one-time, 2-recurring

currency
string<string>

The discount currency

cycleLimit
integer<int>

The count limitation of subscription cycle, 0-no limit

discountAmount
integer<int64>

The discount amount, available when discount_type is fixed_amount

discountPercentage
integer<int64>

The discount percentage, 100=1%

discountType
integer<int>

The discount type, 1-percentage, 2-fixed_amount

endTime
integer<*int64>

The end time, editable after activate, utc timestamp in seconds

metadata
object

Metadata, custom key-value pairs

name
string<*string>

The batch template's display name

planApplyGroup
object
planApplyType
integer<*int>

Plan apply type, 0-apply for all, 1-specified, 2-exclude, 3-by groups, 4-except groups

planIds
integer<int64>[]

Ids of plan which discount code can effect

quantity
integer<*int64>

Target number of child codes, can only increase after activation, max 10000

startTime
integer<*int64>

The start time, editable after activate, utc timestamp in seconds

subscriptionLimit
integer<int>

The limit of every subscription apply, 0-unlimited

upgradeLongPlanOnly
boolean<*bool>

AdvanceConfig, true-only for upgrade to longer plan

upgradeOnly
boolean<*bool>

AdvanceConfig, true-only for same interval upgrade

userLimit
integer<*int>

AdvanceConfig, Per customer limit, 0-unlimited

userScope
integer<*int>

AdvanceConfig, Apply user scope, 0-all, 1-new user, 2-renewals

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>